Bug 846225 - chrony: missing format string in client.c:read_line()
chrony: missing format string in client.c:read_line()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: chrony (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 846000
  Show dependency treegraph
 
Reported: 2012-08-07 04:28 EDT by Florian Weimer
Modified: 2012-09-18 16:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-18 16:02:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
client-formatstr.patch (268 bytes, patch)
2012-08-07 04:28 EDT, Florian Weimer
no flags Details | Diff

  None (edit)
Description Florian Weimer 2012-08-07 04:28:23 EDT
Created attachment 602675 [details]
client-formatstr.patch

The attached patch adds a missing format string to the printf call in client.c:read_line().  This change does not appear to be security-relevant.
Comment 1 Fedora Update System 2012-09-11 14:42:11 EDT
chrony-1.27-0.5.pre1.git1ca844.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/chrony-1.27-0.5.pre1.git1ca844.fc18
Comment 2 Fedora Update System 2012-09-12 15:14:51 EDT
Package chrony-1.27-0.5.pre1.git1ca844.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing chrony-1.27-0.5.pre1.git1ca844.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13883/chrony-1.27-0.5.pre1.git1ca844.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-09-18 16:02:55 EDT
chrony-1.27-0.5.pre1.git1ca844.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.